ControllersDomainBindingApi (Grails 6.0.0)

Package: org.grails.plugins.web.controllers.api

## [Java] Class ControllersDomainBindingApi

- org.grails.plugins.web.controllers.api.ControllersDomainBindingApi

-     @java.lang.SuppressWarnings("rawtypes")
      public class ControllersDomainBindingApi
      extends java.lang.Object

  Enhancements made to domain classes for data binding.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `AUTOWIRE_DOMAIN_METHOD` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private static void` | `autowire(java.lang.Object instance)`
    `` | `private static org.grails.datastore.mapping.model.PersistentEntity` | `getDomainClass(java.lang.Object instance)`
    `` | `public static void` | `initialize(java.lang.Object instance)` Autowires the instance
    `` | `public static void` | `initialize(java.lang.Object instance, java.util.Map namedArgs)` A map based constructor that binds the named arguments to the target instance

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String AUTOWIRE_DOMAIN_METHOD

  - ### Method Detail

    - #### private static void autowire(java.lang.Object instance)

    - #### private static org.grails.datastore.mapping.model.PersistentEntity getDomainClass(java.lang.Object instance)

    - #### public static void initialize(java.lang.Object instance)

      Autowires the instance

      Parameters:
        `instance` - The target instance

    - #### public static void initialize(java.lang.Object instance, java.util.Map namedArgs)

      A map based constructor that binds the named arguments to the target instance

      Parameters:
        `instance` - The target instance
        `namedArgs` - The named arguments